Bug 1475320 - [RFE] remove the option for multiple qxl devices for RHEL guests [NEEDINFO]
Summary: [RFE] remove the option for multiple qxl devices for RHEL guests
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: General
Version: 4.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ovirt-4.4.1
: ---
Assignee: Tomasz Barański
QA Contact: Qin Yuan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-07-26 12:30 UTC by Michal Skrivanek
Modified: 2020-07-08 08:25 UTC (History)
18 users (show)

Fixed In Version: rhv-4.4.0-29
Doc Type: Removed functionality
Doc Text:
Clone Of: 1428340
Environment:
Last Closed: 2020-07-08 08:25:53 UTC
oVirt Team: Virt
rduda: needinfo? (michal.skrivanek)
rbarry: ovirt-4.4?
rule-engine: planning_ack?
pm-rhel: devel_ack+
pm-rhel: testing_ack+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 99526 'None' MERGED webadmin: Remove Single PCI option from the UI 2020-11-12 11:04:53 UTC

Description Michal Skrivanek 2017-07-26 12:30:58 UTC
+++ This bug was initially created as a clone of Bug #1428340 +++

...

Multiple devices on Linux used to be used for Xinerama setups in order to achieve multiscreen. Then 5+ years ago we added support for multiple screens with randr/single device on linux. At this point, Xinerama setups on linux is not something we actively support.

...

Comment 4 Radek Duda 2020-01-30 10:45:45 UTC
Hi in rhv-4.4.0-0.17.master.el7 check box 'Single PCI' does not appear. Nevertheless there are still a flaw:
Within VM creation if I choose 'Other OS' - or simply does not choose anything as 'Operating system' ('Other OS' is default option), and set multiple monitors -> hit OK. Then multiple PCI devices are created (thats ok).

But:
I am not able then in any way to get singe PCI by setting 'Operating system' option to some RHEL OS in secondary edit.
I must remove this VM and create it again and set 'Operating system' to any RHEL OS initially.

So it would be great to have single / multiple PCI device according to chosen 'Operating system'.
What do you think Tomasz

Comment 5 RHEL Program Management 2020-01-30 10:45:52 UTC
The documentation text flag should only be set after 'doc text' field is provided. Please provide the documentation text and set the flag to '?' again.

Comment 6 Radek Duda 2020-01-30 10:49:38 UTC
See also https://bugzilla.redhat.com/show_bug.cgi?id=1555304

Comment 7 Tomasz Barański 2020-02-04 08:46:40 UTC
I think the underlying problem (indicated as well in the bug #1555304) is still there. I believe adding a listener that reacts to the OS change and updates the "single PCI" field will do.

Comment 9 Qin Yuan 2020-04-27 05:11:11 UTC
Verified with:
rhv 4.4.0-0.33.master.el8ev

Steps:
1. Check if no Single PCI check box
   - open New Virtual Machine, open console
   - select Operating System one by one, check if no Single PCI check box no matter which operating system is selected.

2. Check if qxl device is correctly created according to the operating system type.
   1) check if single qxl device is created for rhel guest
   - create new VM, set operating system to Red Hat Enterprise Linux 8.x x64, set monitors to multiple, check if single qxl device is created.
   - create new VM, set operating system to Red Hat Enterprise Linux 8.x x64, set monitors to 1, then change to multiple, check if still using single qxl device.

   2) check if multiple qxl devices are created for Windows
   - create new VM, set operating system to Windows 10, set monitors to multiple, check if multiple qxl devices are created.
   - create new VM, set operating system to Windows 10, set monitors to 1, then change to multiple, check if 1 qxl device is changed to multiple qxl devices.

Results:
1. There is no Single PCI check box no matter which operating system is selected.
2. Single qxl device is created for rhel guest no matter multiple monitors were set at vm creation time, or changed from 1.
3. Multiple qxl devices are created for Windows guest no matter multiple monitors were set at vm creation time, or changed from 1.

Comment 10 Sandro Bonazzola 2020-07-08 08:25:53 UTC
This bugzilla is included in oVirt 4.4.1 release, published on July 8th 2020.

Since the problem described in this bug report should be resolved in oVirt 4.4.1 release, it has been closed with a resolution of CURRENT RELEASE.

If the solution does not work for you, please open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.